﻿<%@ Page Title="NetTG SETUP-Connect" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="setup.aspx.cs" Inherits="NetTG._setup" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
    <script language="javascript" type="text/javascript">
        function connectWarning(form) {
            var mdb = document.getElementById('combo1');
            if (mdb) {
                if (mdb.value.length < 4) {
                    alert("You must select a database!");
                    return false;
                }
            }
            var msg = "You started the process of connecting to a database. \nContinue?";
            if (document.getElementById('btnDisconnect') != null) msg = "You started the process of connecting to a database. \nAll currently existing application settings will be deleted or canceled! \nContinue?";
            var con2 = confirm(msg);
            if (con2 != 1) return false;            
            var elem = document.getElementById('h_warning');                          
            if (elem.value != '0' ) {
                var con = confirm('There are some data that are waiting in line (queue) to be recorded! \nContinuing this action all of these data will be irretrievably lost! \nContinue operation?');
                if (con != 1) return false;
            }
            return confirm('To perform the process of connecting to the database you will be redirected to the login page where you need to enter the username and password for the ADMINISTRATOR account that belongs to the selected database.\nTry to connect with: ' + mdb.value + '?');
        }

        function disconnectWarning(form) {
            var con = confirm('You started the process of disconnection. \nIt will not be possible to use the application to run tests. \nAll currently existing application settings will be deleted! \nContinue?');
            if (con != 1) return false;
            var mdb = document.getElementById('label1');            
            var elem = document.getElementById('h_warning');
            if (elem.value != '0') {
                var con = confirm('There are some data that are in line (queue) to be stored (save)! \nContinuing this action all of these data will be irretrievably lost! \nContinue operation?');
                if (con != 1) return false;
            }
            return confirm('Disconnect with ' + mdb.innerHTML + '?');
        }
    </script>
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">    
    <div id="div_header" runat="server" style="background-color:Red;width:100%;height:20px"></div>
    <br />
        <asp:Label ID="l_no_worker" runat="server" ForeColor="Red" Text="Error: Background Worker is not working (not alive)!"></asp:Label><br />
        <p>Connected with the database:&nbsp;&nbsp;&nbsp<asp:Label ID="label1" runat="server" Text="Unconnected" style="font-weight:bold;"></asp:Label>&nbsp;&nbsp;&nbsp
        <asp:Button ID="btnDisconnect" runat="server" Text="Disconnect" Visible="False" onclientclick = "return disconnectWarning(this);" onclick="btnDisconnect_Click" style="width:10%"/></p>            
        <div id="div_mdb" runat= "server">
            <p>Available mdb (Access) files:&nbsp;&nbsp;&nbsp
            <asp:DropDownList ID="combo1" runat="server"></asp:DropDownList>&nbsp;&nbsp;&nbsp;<asp:Button ID="btnConnect" runat="server" Text="Connect" onclientclick = "return connectWarning(this);" onclick="btnConnect_Click" style="width:10%"/>
               &nbsp;<asp:Label ID="lRequired" runat="server" ForeColor="Red" Text="You must select a database" Visible="False"></asp:Label><br />
               <asp:Label ID="label2" runat="server" Text="Note: You must use the mdb (Access) files created within a desktop application WinTG"></asp:Label></p>                                            
        </div>
        <div id="div_queue" runat="server">
            <p><asp:Label ID="lqueue" runat="server" Text="Data that are waiting in the queue (line)" /></p>         
            <p><asp:Table ID="table1" runat="server"></asp:Table></p>
        </div> 
        <div id="div_no_mdb" runat="server"> 
            <p><asp:Label ID="label3" runat="server" Text="There is no mdb (Access) file in the App_Data directory.<br>You must upload at least one mdb (Access) file in App_Data directory." ></asp:Label><br />
            <asp:Label ID="label4" runat="server" Text="Note: You must use the mdb (Access) files created within a desktop application WinTG." ></asp:Label></p>
        </div> 
    <asp:HiddenField ID="h_warning" runat="server" EnableViewState="False" />
    <asp:Label ID="lstatus" runat="server" Text="Status result Label" Visible="False"></asp:Label>
    </asp:Content>
