﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="dataf.aspx.cs" Inherits="NetTG.dataf" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">

<script type="text/javascript">

    // *****    Good luck mr. Gorski    *****
    var my_id = new Array();
    var last;

    function init() {        
        fillCollection();
        document.onkeyup = keyUpHandler;        
        if (document.getElementById("h_align").value == "1") alignControls();
        return;
    }

    function fillCollection() {
        var elements = document.getElementById('div1').children;    // Option 1: Likely fastest but not supported by early Firefoxes        
        if (elements == null)
            elements = document.getElementById('div1').getElementsByTagName('*');   // Option 2: Likely slowest        
        for (var i = 0; i != elements.length; i++) {
            if (elements[i].id.indexOf('field') == 0) {
                my_id.push(elements[i].id);
                last = elements[i];
            }
        }         
        return;
    }

    function alignControls() {        
        var elements = document.getElementById('div1').children;        
        if (elements == null)   {
            elements = document.getElementById('div1').getElementsByTagName('*');   }
        var span_x = [];   // var span_x = new Array();
        for (var i = 0; i != elements.length; i++) 
        {
            if (elements[i].id.indexOf('lfield') == 0) 
                span_x.push(elements[i].offsetWidth);
        }         
        var x = elements[0].offsetLeft + Math.max.apply(null, span_x);
        for (var i = 0; i != elements.length; i++)  {
            if (elements[i].id.indexOf('field') == 0) {
                elements[i].style.position = "absolute";
                elements[i].style.left = x.toString() + 'px';                        
            }
        }
        return;
    }
    
    function keyUpHandler(e) {
        e = e || window.event; 
        var ascii = e.keyCode;                       
        if (ascii == 13) {  // ENTER = NEXT field - no overflow (submit on last field on form)
            if (document.activeElement == last) {
                document.getElementById('btn1').focus();
            }
            else {
                var new_id = getNextID(true);
                if (new_id != null) {
                    document.getElementById(eval("'field" + new_id + "'")).focus(); }
            }
        }
        else if (ascii == 40) { // Arrow DOWN = NEXT field (overflow)
            var new_id = getNextID(true);
            if (new_id != null) {
                document.getElementById(eval("'field" + new_id + "'")).focus(); }
        }
        else if (ascii == 38) { // Arrow UP = PRIOR field (overflow)
            var new_id = getNextID(false);
            if (new_id != null) {
                document.getElementById(eval("'field" + new_id + "'")).focus(); }
        }
        else if (ascii == 35 && e.ctrlKey) { // CTRL + END = LAST field
            document.getElementById(eval("'" + 'field' + eval(my_id.length - 1) + "'")).focus();
        }
        else if (ascii == 36 && e.ctrlKey) { // CTRL + HOME = FIRST field
            document.getElementById('field0').focus();
        }        
        return;
    }

    function getNextID(forward) {
        if (document.activeElement == null) return null;
        var next_id;
        var focusElem = document.activeElement;
        var id = focusElem.getAttribute('id');
        if (id.indexOf("field") != 0 || my_id == null) return null; //if (id.substring(0, 5) != "field") return;
        //var current_id = my_id.indexOf(id);  // The indexOf() method is not supported in Internet Explorer 8 and earlier.
        var current_id = -1;
        for (var i = 0; i != my_id.length; i++) {
            if (my_id[i] == id) {
                current_id = i;
                break;
            }
        }
        if (current_id == -1) return null;
        if (forward) 
        {
            if (current_id >= my_id.length - 1) 
            {
                next_id= 0;
            }
            else 
            {
                next_id= current_id+1;                
            }
        }
        else 
        {
            if (current_id == 0) 
            {               
                next_id=  my_id.length-1;
            }
            else
            {
                next_id= current_id-1;
            }
        }
        return next_id;
    }

    function setColor(e) {
        e.style.backgroundColor = "#F0F0F0";
        e.style.borderColor = "Black";
        e.style.borderStyle = "solid";
        
    }
    function resetColor(e) {
        e.style.backgroundColor = "White";  
        e.style.borderColor = "";
        e.style.borderStyle=""; 
    }
    
</script>

    <title id= "title" runat="server"></title>
    
</head>
<body id="body" runat="server" >
    <form id="form1" runat="server" >
    <div id="div1" runat="server">
     <br />        
    </div>               
    <div id="div2" runat="server" style="text-align:center;">               
        <br /> 
        <asp:Button ID="btn1" runat="server" Text= "Continue" onclick="start_Test" />
        <br />
        <asp:ValidationSummary ID="val_summary" runat="server" EnableClientScript="true" HeaderText="Errors found:" ForeColor="Red" />
        <br />
    </div>
    <asp:HiddenField ID="h_align" runat="server" Value="0" />
    </form> 
</body>
</html>
