﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="test.aspx.cs" Inherits="NetTG.Test" EnableViewState="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title id="title" runat="server"></title>     
     <script type="text/javascript">

        // *****    Good luck mr. Gorski    *****
        var key = null;

        function init() {                        
            if (document.getElementById('Hkeys').value != "") {
                document.onkeyup = keyUpHandler;
                if (document.getElementById('Heditable').value == "") {
                    document.onkeypress = keyPressHandler;
                }
            }                                                 
            if ( !canSubmit(false) ) {
                document.getElementById("Forw").style.display = "none";
            } 
            resizeControls();                               
            return;
        }
        
        function resizeControls() {                                                  
            var wrapperDiv = document.getElementById('div_answers'); 
            var inputs = wrapperDiv.getElementsByTagName('input');
            var widths = new Array();
            for (var i = 0; i < inputs.length; i++) {
                widths[i] = inputs[i].scrollWidth;  //offsetWidth;
            }
            var maxW = Math.max.apply(null, widths);
            for (var i = 0; i < inputs.length; i++) {
                inputs[i].style.width = maxW.toString() + "px";
            }
            return;
        }

        // dummy method if keyboard is disabled  
        function keyUpHandler(e) {
            e = e || window.event;                        
            var ascii = e.keyCode;      // 1. item navigation Handler
            switch (ascii)
            {                
                case 38:    if (document.getElementById("Back") != null) {   
                                submitForm("Back");
                            }
                            return;
                case 37:    if (document.getElementById("Back") != null && document.getElementById("Heditable").value == "")  {
                                submitForm("Back");
                            }
                            return;
                case 40:    if (document.getElementById("Forw").style.display != "none" && document.getElementById("Hskip").value == "1") { 
                                submitForm("Forw");
                            }
                            return;
                case 39:    if (document.getElementById("Forw").style.display != "none" && document.getElementById("Hskip").value == "1" && document.getElementById("Heditable").value == "") {     
                                submitForm("Forw");
                            }
                            return;
                case 36:    if (e.ctrlKey && document.getElementById("Back") != null) {
                                submitForm("First");
                            }
                            return;                                                    
                case 35:    if (e.ctrlKey && document.getElementById("Forw").style.display != "none" && document.getElementById("Hskip").value == "1") {    
                                submitForm("Last");
                            }
                            return;
                    
            }   // switch - item navigation Handler

            // 2. Keyboard answer handler
            if (key != null) {
                var ind = eval(document.getElementById("Hkeys").value.indexOf(key));  //alert("key= " + key + ". index= " + ind + ". ascii= " + ascii);           
                if (ind != -1) {
                    var val = eval(document.getElementById(eval("'" + "Answer" + ind + "'"))).value;
                    saveAnswer("Answer" + ind, val);
                }
            }
            return;                      
        }

        // Remember last key pressed. this is dummy method if keyboard is disabled or last_editable_answer
        function keyPressHandler(e) {           
            e = e || window.event; 
            if (e.which == null) {
                key= String.fromCharCode(e.keyCode) // IE
            } 
            else if (e.which != 0 && e.charCode != 0) {
                key= String.fromCharCode(e.which)   // the rest
            } 
            else {
                key = null;  // special key
                return;
            }           
            key = key.toLowerCase();             
            return;
        }

        function saveAnswer(id, value) {
            key = null; 
            var on_clr = "#FFF8DC";
            var off_clr = "#E0E0E0";
            var ctrl = document.getElementById(id);  // Answer id
            var target_id = id.replace("Answer", "Hanswer");   // hAnswer id   
            var elem = document.getElementById(eval("'" + target_id + "'"));                            
            if (elem.value == "") {
                elem.value = value;
                if (ctrl.type == "button") {
                    ctrl.style.backgroundColor = on_clr;  //ctrl.style.setProperty("backgroundColor", on_clr);  // "background-color"                    
                }
                else if (ctrl.type == "checkbox" || ctrl.type == "radio") {
                    ctrl.checked= true;
                }

            }
            else {
                elem.value = "";
                incCorrection();
                if (ctrl.type == "button") {
                    ctrl.style.backgroundColor = off_clr;
                }
                else if (ctrl.type == "checkbox" || ctrl.type == "radio") {
                    ctrl.checked = false;
                }
            }   // alert("saveAnswer is storing... -->  elem.name: " + elem.name  +  "    elem.value= " + elem.value);            
            if (document.getElementById("Hmode").value != "1")    {
                resetAnswers(target_id);
                submitForm(id);
            }
            if (canSubmit(false)) { document.getElementById("Forw").style.display = "inline"; }
            else { document.getElementById("Forw").style.display = "none"; } 
            return;
       }

       function resetAnswers(exclude_id) {         
           var node_list = document.getElementsByTagName('input');
           for (var i = 0; i < node_list.length; i++) {
               var node = node_list[i];
               if (node.getAttribute('type') == 'hidden') {
                   var id = node.getAttribute('id');
                   if (eval(id.indexOf("Hanswer")) != 0 || id == exclude_id) continue;
                   if (document.getElementById(id).value.length > 0) {
                       incCorrection();
                   } 
                   document.getElementById(id).value = "";                     
               }
           }    
           // clear textBox value (because saveEditAnswer event is fired after this event)
           var elem = document.getElementById("Heditable"); 
           if (elem.value.length > 0) document.getElementById(elem.value).value = "";   //alert ("end of resetAnswers. exclude_id " + exclude_id);                      
           return;              
       }

       function saveEditAnswer() {
           var elem = document.getElementById("Heditable"); 
           if (elem.value.length > 0)
           {               
               var h_elem = elem.value.replace("Answer", "Hanswer");  
               var edit_val= trim (document.getElementById(elem.value).value) ;  // TextBox value (elem.value = id of textBox)               
               if (edit_val.length > 255) {             //  + HTML <input> maxlength Attribute
                   var tmp2 = edit_val.slice(0, 255);   // 0..254 (255 is not included)
                   edit_val = tmp2;
               }
               document.getElementById(h_elem).value = edit_val;
               if (edit_val.length > 0 && document.getElementById("Hmode").value != "1") {
                   resetAnswers(h_elem);
               }               
           }          
           return;
       }

       // ovo mora biti jedini nacin submita (svu drugu automatiku submita od strane browsera moram iskljuciti - zbog textBoxa -> saveEditAnswer()!)
       function submitForm(sender) {
           var hidSourceID = document.getElementById("Hsender");
           hidSourceID.value = sender;
           saveEditAnswer();
           if (sender == "Back" || sender == "First") {
               document.forms[0].submit();    //document.getElementById("Form1").submit();
           }
           else if (canSubmit(true)) {                   
               document.forms[0].submit();
           }
           return;
       }

       function canSubmit(show_msg) {
           if (show_msg && document.getElementById('Hend').value != '') {               
                var con = confirm(document.getElementById('Hend').value);
                if (con != 1) return false;
           }
           if ( document.getElementById("Hskip").value == "1" ) return true;
           var not_blank= false;   
           var node_list = document.getElementsByTagName('input');
           for (var i = 0; i < node_list.length; i++)   {
               var node = node_list[i];
               if (node.getAttribute('type') == 'hidden') {                
                   var id = node.getAttribute('id');
                   if (id.indexOf("Hanswer") == 0 && node.value.length > 0) {                  
                        not_blank= true; 
                        break;
                   }                   
               }
            }                                     
            return not_blank; 
       }

       function incCorrection() {
           var tmp = parseInt(document.getElementById("Hcorrection").value); tmp++;
           document.getElementById("Hcorrection").value = tmp;            
           return;
       }    
                      
       function trim(str) {
           return str.replace(/^\s\s*/, '').replace(/\s\s*$/, '');
       }
                     
    </script>    
    
</head>

<body id="body" runat="server">           
    <form id="Form1" runat="server" method="post">          
    <div runat="server" id="div_item">
        <asp:Label ID="Question" runat="server" Text="This is question label"></asp:Label>           
    </div>
    <br /><br />           
    <div runat="server" id="div_answers">        
    </div>
        <br />
        <div runat="server" id="div_navigation" style="text-align:center;">        
        <input id="Back" runat="server" name="Back" type="button" value="Prior" onclick="submitForm(this.id)" />
        <span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
        <input id="Forw" runat="server" name="Forw" type="button" value="Next" onclick="submitForm(this.id)" />
        <br/>              
    </div>    
     <asp:ScriptManager ID="script_m1" runat="server" />
        <asp:UpdatePanel ID="update_panel" runat="server" UpdateMode="Conditional">
    
        <ContentTemplate>
             <div runat="server" id="div_bottom" style="text-align:center;">
                 <asp:Label ID="b_label1" runat="server"  align = "center" Visible="False"/>
                 <asp:Label ID="b_label2" runat="server" Visible="False"/>   
                 <div runat= "server" id="i_bar_1" style="margin:auto;text-align:center;border:2px solid black;width:50%;" visible="False">
                    <div runat= "server" id="i_bar_2" style="background-color:Blue;width:1%;" visible="False">%</div>
                 </div>
                 <asp:Label ID="b_label3" runat="server" Visible="False"/>
                 <asp:Label ID="b_label4" runat="server" Visible="False"/>
                 <div runat= "server" id="t_bar_1" style="margin:auto;text-align:center;border:2px solid black;width:50%;" visible="False">
                    <div runat= "server" id="t_bar_2" style="background-color:Blue;width:1%;" visible="False">%</div>
                 </div>                       
             </div>      
        </ContentTemplate>
        </asp:UpdatePanel> 
                        
        <asp:HiddenField ID="Hitem" runat="server" EnableViewState="False" />
        <asp:HiddenField ID="Hkeys" runat="server" EnableViewState="False" />
        <asp:HiddenField ID="Hsender" runat="server" EnableViewState="False" />                
        <asp:HiddenField ID="Hmode" runat="server" Value="0" />
        <asp:HiddenField ID="Hcorrection" runat="server" Value="0" />
        <asp:HiddenField ID="Heditable" runat="server" />
        <asp:HiddenField ID="Hskip" runat="server" />                
        <asp:HiddenField ID="Hend" runat="server" />

    </form>
    
      
</body>




</html>
